Module | Sequel::SQL::OrderMethods
In: | lib/sequel/sql.rb

Methods that create OrderedExpressions, used for sorting by columns or more complex expressions.

### Methods

asc desc

### Public Instance methods

asc()

Mark the receiving SQL column as sorting in an ascending fashion (generally a no-op).

[Source]

         # File lib/sequel/sql.rb, line 334
    334:       def asc
    335:         OrderedExpression.new(self, false)
    336:       end

desc()

Mark the receiving SQL column as sorting in a descending fashion.

[Source]

         # File lib/sequel/sql.rb, line 329
    329:       def desc
    330:         OrderedExpression.new(self)
    331:       end

[Validate]